
QGIS Application - Bug report #7335

sum line lengths broken in master

2013-03-12 09:19 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16320

Description

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/fTools/tools/doSumLines.py", line 79, in accept

    self.compute(inPoly, inLns, inField, outPath, self.progressBar)

  File "/usr/share/qgis/python/plugins/fTools/tools/doSumLines.py", line 106, in compute

    index = polyProvider.fieldCount()

AttributeError: 'QgsVectorDataProvider' object has no attribute 'fieldCount'

probably any other tool in the vector menu is broken.

Associated revisions

Revision a57aa0c9 - 2013-03-13 01:03 PM - Alexander Bruy

fix Sum line length tool after API changes (fix #7335)

History

#1 - 2013-03-13 05:04 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"a57aa0c9a481d26317d4e5f139e1f8f638341cf8".

#2 - 2013-03-13 05:07 AM - Alexander Bruy

- Resolution set to fixed

#3 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
